Package org.eclipse.ecf.provider.filetransfer.httpclient45

## Class HttpClientRetrieveFileTransferFactory

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.httpclient45.HttpClientRetrieveFileTransferFactory

All Implemented Interfaces:
  `IRetrieveFileTransferFactory`

    public class HttpClientRetrieveFileTransferFactory
    extends Object
    implements IRetrieveFileTransferFactory

### Constructor Summary

Constructors
`HttpClientRetrieveFileTransferFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IRetrieveFileTransfer` `newInstance()` Get new instance of IRetrieveFileTransfer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientRetrieveFileTransferFactory

    public HttpClientRetrieveFileTransferFactory()

### Method Detail

#### newInstance

    public IRetrieveFileTransfer newInstance()

Description copied from interface: `IRetrieveFileTransferFactory`
Get new instance of IRetrieveFileTransfer.

Specified by:
  `newInstance` in interface `IRetrieveFileTransferFactory`
Returns:
  IRetrieveFileTransfer for initiating a retrieval of a remote file.